get:
  tags:
  - Mime Types
  summary: Get MIME type by ID
  description: Retrieves a MIME type by its unique identifier.
  operationId: getMimeType
  parameters:
  - name: id
    in: path
    description: Unique identifier of the MIME type
    required: true
    style: simple
    explode: false
    schema:
      type: string
      format: uuid
  responses:
    "200":
      description: Successfully retrieved MIME type
      content:
        application/json:
          schema:
            $ref: ../../schemas/MimeType.yaml
    "401":
      description: Access denied
    "403":
      description: "Forbidden: User does not have the required role"
    "404":
      description: MIME type not found
  security:
  - oauth2AuthCode: []
  x-simpl-roles:
  - T2IAA_M
put:
  tags:
  - Mime Types
  summary: Update MIME type by ID
  description: Updates an existing MIME type with the provided details.
  operationId: updateMimeType
  parameters:
  - name: id
    in: path
    description: Unique identifier of the MIME type to be updated
    required: true
    style: simple
    explode: false
    schema:
      type: string
      format: uuid
  requestBody:
    description: Updated MIME type details
    content:
      application/json:
        schema:
          $ref: ../../schemas/MimeType.yaml
    required: true
  responses:
    "200":
      description: MIME type updated successfully
    "400":
      description: Invalid input data
    "401":
      description: Access denied
    "403":
      description: "Forbidden: User does not have the required role"
    "404":
      description: MIME type not found
  security:
  - oauth2AuthCode: []
  x-simpl-roles:
  - T2IAA_M
delete:
  tags:
  - Mime Types
  summary: Delete MIME type by ID
  description: Deletes a MIME type by its unique identifier.
  operationId: deleteMimeType
  parameters:
  - name: id
    in: path
    description: Unique identifier of the MIME type to be deleted
    required: true
    style: simple
    explode: false
    schema:
      type: string
      format: uuid
  responses:
    "204":
      description: MIME type deleted successfully
    "401":
      description: Access denied
    "403":
      description: "Forbidden: User does not have the required role"
  security:
  - oauth2AuthCode: []
  x-simpl-roles:
  - T2IAA_M
